*/
public static function app_die ($message = '', $code = false, $extraData = '', $silentMode = false) {
// Is this method already called?
- if (defined('EMERGENCY_EXIT_CALLED')) {
+ if (isset($GLOBALS['app_die_called'])) {
// Then output the text directly
die($message);
} // END - if
// This method shall not be called twice
- define('EMERGENCY_EXIT_CALLED', true);
+ $GLOBALS['app_die_called'] = true;
// Is a message set?
if (empty($message)) {
--- /dev/null
+#!/bin/sh
+
+# This script helps building the file docs/TODOs.txt and should be executed by
+# developers with SVN write-access
+
+TYPES="php ctp xml"
+
+if ! test -e "index.php"; then
+ echo "$0: Please execute this script from root directory."
+ exit 1
+fi
+
+echo "$0: Generating TODOs.txt..."
+echo "### WARNING: THIS FILE IS AUTO-GENERATED BY $0 ###" > docs/TODOs.txt
+echo "### DO NOT EDIT THIS FILE. ###" >> docs/TODOs.txt
+for type in $TYPES; do
+ find -type f -name "*.$type" -exec grep -Hin "@TODO" {} \; | sort >> docs/TODOs.txt
+done
+echo "### ### DEPRECATION FOLLOWS: ### ###" >> docs/TODOs.txt
+for type in $TYPES; do
+ find -type f -name "*.$type" -exec grep -Hin "@DEPRECATED" {} \; | sort >> docs/TODOs.txt
+done
+echo "$0: Done."
+exit 0